Package org.apache.ignite.internal.management.persistence

## Class PersistenceCleanCachesCommand

- java.lang.Object
- - org.apache.ignite.internal.management.persistence.PersistenceAbstractCommand
  - - org.apache.ignite.internal.management.persistence.PersistenceCleanCachesCommand

All Implemented Interfaces:
  `Command<PersistenceCommand.PersistenceTaskArg,​PersistenceTaskResult>`, `ComputeCommand<PersistenceCommand.PersistenceTaskArg,​PersistenceTaskResult>`

    public class PersistenceCleanCachesCommand
    extends PersistenceAbstractCommand

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`PersistenceCleanCachesCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<PersistenceCleanCachesTaskArg>` `argClass()`
`String` `description()` Command description.

### Methods inherited from class org.apache.ignite.internal.management.persistence.PersistenceAbstractCommand

`printResult, taskClass`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`handleException, nodes`

### Constructor Detail

#### PersistenceCleanCachesCommand

    public PersistenceCleanCachesCommand()

### Method Detail

#### description

    public String description()

Command description.

#### argClass

    public Class<PersistenceCleanCachesTaskArg> argClass()

Returns:
  Arguments class.